#ifndef __IDENTIKIT_H
#define __IDENTIKIT_H

#pragma once

#ifndef UNICODE 
#define UNICODE
#endif

#include <windows.h>
#include <CommCtrl.h>
#include <Uxtheme.h>
#include <strsafe.h>
#include "resource.h"

#define MAX_BUFFER 200
#define ID_TABCTRL 201
#define ID_LISTVIEW_BIOS 203
#define ARRAY_SIZE (x) (sizeof(x)/sizeof(x[0]))
#define HKEY_MAX_VALUE_NAME 800

LRESULT CALLBACK WindowProcedure (HWND, UINT, WPARAM, LPARAM);
VOID OnGetDispInfo(NMLVDISPINFO *);
HWND __cdecl BiosInfo (HWND);

HINSTANCE hInstance;
wchar_t tszAppTitle[MAX_BUFFER];
wchar_t tszClassName[MAX_BUFFER];
TCHAR achValue [HKEY_MAX_VALUE_NAME]; 
DWORD cchValue = HKEY_MAX_VALUE_NAME;
typedef struct stBiosInfo {
	TCHAR szProperty [32];
	TCHAR szValue [100];
} BIOSINFO;

class Wnd
{
public:
	static int Tab_InsertItem (HWND hTab, LPTSTR pszText, int id);
	static int Show (HWND hwndParent);
	static int Hide (HWND hwndParent);
};

class IdentiKitLibrary
{
public:
	static LPWSTR GetBIOSVendor ();
};

#endif
